Bug 25191 - Live isos: LUKSOpen any encrypted partitions on the USB early, and handle LVM
Summary: Live isos: LUKSOpen any encrypted partitions on the USB early, and handle LVM
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Release (media or process) (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal enhancement
Target Milestone: ---
Assignee: ISO building group
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-28 15:06 CEST by Morgan Leijström
Modified: 2020-06-06 20:35 CEST (History)
3 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Morgan Leijström 2019-07-28 15:06:41 CEST
If it early open encrypted partitions, we can have encrypted 'mgalive-persist'.

It could also after that scan LVM so those of us who want to have both 'mgalive-persist' and swap on a fast large USP stick have them in the same encrypted partition which then is a LVM pv.
Morgan Leijström 2019-07-28 15:08:17 CEST

Assignee: bugsquad => isobuild

Comment 1 Paul Blackburn 2019-10-20 20:11:48 CEST
A bit curious that processing LUKS encrypted partitions on disk drive is different than processing same on bootable USB?

CC: (none) => paul.blackburn

Comment 2 Martin Whitaker 2020-06-06 19:01:16 CEST
The Mageia-8 Live ISOs support encrypted persistent partitions. Verified using the Mageia-8-alpha1-Live-GNOME-x86_64 ISO.

I think supporting LVM would be a step to far. If you have a large fast USB stick, you would do better using the classical installer to do a regular install, which gives you all the options. Let's keep the Live ISOs relatively simple.

Setting to fixed, as I have done half the request!

Resolution: (none) => FIXED
Status: NEW => RESOLVED
CC: (none) => mageia

Comment 3 Morgan Leijström 2020-06-06 20:03:38 CEST
Right, it is not very useful to have LVM on persistent storage.  But big plus if it can handle LVM and LVM in an encrypted partition on another drive.

Question: If i boot MGA8 a live stick, does it carry enough functionality to manually from CLI unlock an encrypted partition on another drive and mounting partitions in an LVM?  (even better if it is (semi)automatic))

That would be a very useful backup/repair use case for people like me who have their machines using LVM in encrypted partition(s).

I use system-rescue-cd for that now, but even better if Mageia live would work, and especially when it is so easy to have persistent encrypted storage on Mageia stick for backung up and also editing sensitive things.
Comment 4 Martin Whitaker 2020-06-06 20:30:35 CEST
Once you've booted the Live system, you should have all the maintenance tools you need. If you find something is missing, let me know, and I will add it.

Xfce makes it very easy to mount other partitions. It puts icons for all drives/partitions it can find on the desktop. If you double click on an encrypted partition, it asks you for the passphrase and then automounts it. I've not tested it with LVM (because I don't use LVM), but I'd guess it makes that equally easy.

The Mageia 8 Live ISOs boot much faster than those in previous releases, so are much more usable for a quick rescue.
Comment 5 Morgan Leijström 2020-06-06 20:35:59 CEST
Marting, thank you for the quick and thorough reply.

You got me really interested in jumping in on the iso testing :)

Note You need to log in before you can comment on or make changes to this bug.